[Overview][Constants][Types][Procedures and functions][Index] | Reference for unit 'Sockets' (#rtl)

# ShortHostToNet

Convert a host port number to a network port number

## Declaration

Source position: socketsh.inc line 223

`function ShortHostToNet(`
`Host: Word`
`):Word;`

## Description

ShortHostToNet converts a host port number to a network port number. It takes care of endianness of the host machine.

## Errors

None.

## See also

ShortNetToHost |  | Convert a network port number to a host port number
HostToNet |  | Convert a host address to a network address
NToHS |  | Convert short integer from network ordered to host ordered
HToNS |  | Convert short integer from host ordered to network ordered

Documentation generated on: Feb 26 2014